Bug 528556 - policycoreutils-python (semanage) prerequisite missing from rpm
Summary: policycoreutils-python (semanage) prerequisite missing from rpm
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Dogtag Certificate System
Classification: Retired
Component: Installer (pkicreate/pkiremove)
Version: unspecified
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Matthew Harmsen
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: freeipa20 445047
TreeView+ depends on / blocked
 
Reported: 2009-10-12 19:29 UTC by John Dennis
Modified: 2015-01-06 01:16 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-06-04 20:00:53 UTC


Attachments (Terms of Use)
CS/IPA TIP changes for "dogtag" (2.64 KB, patch)
2009-12-08 00:35 UTC, Matthew Harmsen
no flags Details | Diff
RHCS 8.1.0 TIP changes for "dogtag" (3.36 KB, patch)
2009-12-08 00:36 UTC, Matthew Harmsen
no flags Details | Diff

Description John Dennis 2009-10-12 19:29:31 UTC
The RPM attempts to load a custom SELinux policy module with semanage however /usr/sbin/semanage may not be present on the system and the installation will fail. /usr/sbin/semanage is in the policycoreutils-python package and should be listed as a "Requires" in the spec file.

Comment 3 Matthew Harmsen 2009-12-08 00:29:10 UTC
According to "https://fedoraproject.org/wiki/Releases/HistoricalSchedules#Fedora_12_.28Codename:_Constantine.29",
Fedora 12 was released November 17th, 2009 - Fedora 12 General Availability (Constantine).

According to "https://fedoraproject.org/wiki/Fedora_Release_Life_Cycle#Maintenance_Schedule", the following versions of Fedora must still be supported:

    * Fedora 10 will be maintained until 1 month after the release of Fedora 12.
    * Fedora 11 will be maintained until 1 month after the release of Fedora 13.
    * Fedora 12 will be maintained until 1 month after the release of Fedora 14.

Comment 4 Matthew Harmsen 2009-12-08 00:35:00 UTC
Created attachment 376818 [details]
CS/IPA TIP changes for "dogtag"

Comment 5 Matthew Harmsen 2009-12-08 00:36:12 UTC
Created attachment 376819 [details]
RHCS 8.1.0 TIP changes for "dogtag"

Comment 6 Matthew Harmsen 2009-12-08 00:39:39 UTC
For CS/IPA TIP:

# cd pki/dogtag

# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       selinux/pki-selinux.spec
M       setup/pki-setup.spec

# svn commit
Sending        dogtag/selinux/pki-selinux.spec
Sending        dogtag/setup/pki-setup.spec
Transmitting file data ..
Committed revision 879.

Comment 7 Matthew Harmsen 2009-12-08 00:41:18 UTC
For RHCS 8.1.0 "TIP":

# cd pki/dogtag

# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       selinux/pki-selinux.spec
M       setup/pki-setup.spec

# svn commit
Sending        dogtag/selinux/pki-selinux.spec
Sending        dogtag/setup/pki-setup.spec
Transmitting file data ..
Committed revision 880.

Comment 9 Kashyap Chamarthy 2010-11-26 14:56:21 UTC
VERIFIED.
CS8.1(x86_64) nightly(26-Nov-2010)
RHEL5.6(x86_64) nightly

--------------------------------------------------
[root@neo pki-selinux-pkg]# rpm -qi pki-selinux
Name        : pki-selinux                  Relocations: (not relocatable)
Version     : 8.1.0                             Vendor: Red Hat, Inc.
Release     : 1.el5pki                      Build Date: Fri 26 Nov 2010 02:41:03 AM PST
-----------------------------------------------------
[root@neo pki-selinux-pkg]# ls
pki-selinux-8.1.0-1.el5pki.src.rpm  pki-selinux-8.1.0.tar.gz  pki-selinux.spec
-----------------------------------------------------
[root@neo pki-selinux-pkg]# grep semanage pki-selinux.spec 
Requires:       policycoreutils, libsemanage, selinux-policy-targeted >= 2.4.6-188
-----------------------------------------------------
[root@neo pki-selinux-pkg]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 5.6 Beta (Tikanga)
-----------------------------------------------------


Note You need to log in before you can comment on or make changes to this bug.